#!/bin/bash

tries=20
count=`cat ~/counter || echo "0"`
echo "current count: $count" | tee -a ~/log
timeout 10 bluetoothctl scan on >> ~/log
echo "===" >> ~/log
if [ $count -lt $tries ]; then
	count=$((count+1))
	echo "$count" > ~/counter
	sudo rtcwake -u -s 120 -m off
else
	echo "test complete. see home directory for results."
	read -s
fi
